icons_by_name 0.1.0

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • new45

icons_by_name

This package's use case is to provide access to the full library of Icons and FontAwesomeIcons at runtime when the specific icons needed are not known at compile time. As such, all Tree Shaking is totally worked around/defeated for Icons and FontAwesomeIcons, so know that before you use the library.

The methods you may want to consider using include:

getIconUsingPrefix(name: "PREFIX.ICON_NAME") - if PREFIX is "fa" or "fontawesome" the icon_name after the "." will be resolved against the font awesome icons first, if that fails, it'll go to Material Design Icons. If there is no PREFIX.ICON_NAME, it'll fail over to just trying to resolve Material First, then Font Awesome.

getIconGuessFavorFA(name:"ICON_NAME") - if there is an icon named ICON_NAME in FA, return that, otherwise, try Material

getIconGuessFavorMaterial(name:"ICON_NAME") - if there is an icon named ICON_NAME in Material Design, return that, otherwise, try FA

All methods will return null if icon doesn't exist.

I basically wrote this as a hack/work around to https://github.com/flutter/flutter/issues/16189.

Getting Started

For help getting started with Flutter, view the online documentation.

[0.0.7] - Formatting, et al.

  • Not any functional changes, just friendlier packaging items.

[0.0.1] - Initial release 29 July 2018.

  • Just the basic functions.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  icons_by_name: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:icons_by_name/icons_by_name.dart';
  
Version Uploaded Documentation Archive
0.1.0 Dec 5, 2018 Go to the documentation of icons_by_name 0.1.0 Download icons_by_name 0.1.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
90
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
45
Learn more about scoring.

We analyzed this package on Dec 5, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.7
  • Flutter: 1.0.0

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health issues and suggestions

Document public APIs (-10 points)

8 out of 8 API elements (library, class, field or method) have no adequate dartdoc content. Good documentation improves code readability and discoverability through search.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use icons_by_name.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.19.0 <3.0.0
flutter 0.0.0
flutter_driver 0.0.0
font_awesome_flutter ^8.0.1 8.2.0
Transitive dependencies
async 2.0.8
boolean_selector 1.0.4
charcode 1.1.2
collection 1.14.11
convert 2.0.2
crypto 2.0.6
file 5.0.6
fuchsia_remote_debug_protocol 0.0.0
intl 0.15.7
json_rpc_2 2.0.9
matcher 0.12.3+1 0.12.4
meta 1.1.6
path 1.6.2
platform 2.2.0
process 3.0.9
pub_semver 1.4.2
quiver 2.0.1
sky_engine 0.0.99
source_span 1.4.1
stack_trace 1.9.3
stream_channel 1.6.8
string_scanner 1.0.4
term_glyph 1.0.1
test_api 0.2.1
typed_data 1.1.6
vector_math 2.0.8
vm_service_client 0.2.6
web_socket_channel 1.0.9
Dev dependencies
flutter_test 0.0.0
test any